#!/bin/bash


NAME=s3h
VERSION=1.0
REVISION=1
ARCH=all

curdir=`dirname $0`
workdir="$curdir/${NAME}_${VERSION}-${REVISION}_${ARCH}"
mkdir -p "$workdir"

mkdir -p "$workdir/usr/bin"
cp "$curdir/../../s3h.sh" "$workdir/usr/bin/s3h"
chmod 0777 "$workdir/usr/bin/s3h"

mkdir "$workdir/DEBIAN"
cat << EOT > "$workdir/DEBIAN/control"
Package: $NAME
Version: $VERSION
Architecture: $ARCH
Maintainer: Daniel Buschke <damage@devloop.de>
Description: SSH Session Manager for CLI
 s3h is a SSH Session Manager which is completly running on cli.
Homepage: https://source.devloop.de/damage/s3h
Depends: dialog
EOT

dpkg-deb --build --root-owner-group "$workdir"

source "$curdir/../credentials"
curl --user "$GITEA_USER:$GITEA_PASS" \
     --upload-file "${NAME}_${VERSION}-${REVISION}_${ARCH}.deb" \
     https://source.devloop.de/api/packages/damage/debian/pool/stable/main/upload


rm -rf "$workdir"
